Interface SwaggerBackupGroupResource
@Path("/backup-groups")
@Produces("application/vnd.ilandcloud.api.v1.0+json")
public interface SwaggerBackupGroupResource
-
Method Summary
Modifier and TypeMethodDescriptionvoiddeleteBackupGroup(String backupGroupUid, BackupGroupDeleteRequest deleteRequest) Delete a backup group.getBackupGroup(String backupGroupUid, boolean includeSummaryStats, boolean includeLastRun, boolean includeBackupPolicy) Get details of an individual backup protection group.getBackupGroupPolicy(String backupGroupUid) Get details for the policy associated with a specified backup group.getBackupGroupRun(String backupGroupUid, String backupRunUid) Get a specific backup group run.getBackupGroupSummaryStats(String backupGroupUid, GetBackupGroupSummaryStatsFilters filters) Get summary stats for an individual backup protection group.getBackupStorageMetrics(String backupGroupUid) Gets the list of storage metrics that are available for the backup group.getBackupStorageSamples(String backupGroupUid, BackupGroupStorageMetric metric, GetBackupStorageSamplesFilters filters) Gets a series of backup group storage samples for a specified storage metric.listBackupGroupRuns(String backupGroupUid, ListBackupGroupRunsQueryParams params) List runs for the specified backup group.updateBackupGroup(String backupGroupUid, BackupGroupUpdateRequest updateRequest) Update a backup group.
-
Method Details
-
getBackupGroup
@GET @Path("/{backupGroupUid}") BackupGroupResponse getBackupGroup(@PathParam("backupGroupUid") String backupGroupUid, @QueryParam("includeSummaryStats") boolean includeSummaryStats, @QueryParam("includeLastRun") boolean includeLastRun, @QueryParam("includeBackupPolicy") boolean includeBackupPolicy) Get details of an individual backup protection group.- Parameters:
backupGroupUid- the backup group UIDincludeSummaryStats- whether to include summary stats in the responseincludeLastRun- whether to include last run info in the responseincludeBackupPolicy- whether to include backup policy info- Returns:
BackupGroupResponse- Throws:
NotFoundException- if the backup group is not found
-
getBackupGroupPolicy
@GET @Path("/{backupGroupUid}/policy") BackupPolicyResponse getBackupGroupPolicy(@PathParam("backupGroupUid") String backupGroupUid) Get details for the policy associated with a specified backup group.- Parameters:
backupGroupUid- the backup group UID- Returns:
BackupGroupResponse- Throws:
NotFoundException- if the backup group is not found
-
getBackupGroupRun
@GET @Path("/{backupGroupUid}/runs/{backupRunUid}") BackupGroupRunResponse getBackupGroupRun(@PathParam("backupGroupUid") String backupGroupUid, @PathParam("backupRunUid") String backupRunUid) Get a specific backup group run.- Parameters:
backupGroupUid- the backup group UIDbackupRunUid- the run UID- Returns:
BackupGroupRunResponse- Throws:
NotFoundException- if the backup group is not found
-
listBackupGroupRuns
@GET @Path("/{backupGroupUid}/backup-runs") BackupGroupRunListResponse listBackupGroupRuns(@PathParam("backupGroupUid") String backupGroupUid, @BeanParam ListBackupGroupRunsQueryParams params) List runs for the specified backup group.Limit defaults to 10 and query time range defaults to last 24 hours.
- Parameters:
backupGroupUid- the backup group UIDparams- query filter params- Returns:
BackupGroupRunListResponse- Throws:
NotFoundException- if the backup group is not found
-
getBackupGroupSummaryStats
@GET @Path("/{backupGroupUid}/summary-stats") BackupGroupSummaryStatsResponse getBackupGroupSummaryStats(@PathParam("backupGroupUid") String backupGroupUid, @BeanParam GetBackupGroupSummaryStatsFilters filters) Get summary stats for an individual backup protection group.Stat time-range defaults to the past 24 hours.
- Parameters:
backupGroupUid- the backup group UIDfilters- optional filters that can be used to specify a custom timeframe.- Returns:
BackupGroupSummaryStatsResponse- Throws:
NotFoundException- if the backup group is not found
-
updateBackupGroup
@PUT @Path("/{backupGroupUid}") @Consumes("application/json") BackupGroupResponse updateBackupGroup(@PathParam("backupGroupUid") String backupGroupUid, BackupGroupUpdateRequest updateRequest) Update a backup group.- Parameters:
backupGroupUid- the UID of the backup groupupdateRequest- the update request body- Returns:
BackupGroupResponse- Throws:
NotFoundException- if the backup group is not found
-
deleteBackupGroup
@DELETE @Path("/{backupGroupUid}") @Consumes("application/json") void deleteBackupGroup(@PathParam("backupGroupUid") String backupGroupUid, BackupGroupDeleteRequest deleteRequest) Delete a backup group.- Parameters:
backupGroupUid- the UID of the backup groupdeleteRequest- the deletion request- Throws:
NotFoundException- if the backup group is not found
-
getBackupStorageMetrics
@GET @Path("/{backupGroupUid}/backup-storage-metrics") BackupGroupStorageMetricListResponse getBackupStorageMetrics(@PathParam("backupGroupUid") String backupGroupUid) Gets the list of storage metrics that are available for the backup group.- Parameters:
backupGroupUid- the UID of the backup group- Returns:
- the list of storage metrics names
-